## alembic 0.3.4+ds

=== debian/changelog ===
alembic (0.3.4+ds-3ubuntu1) quantal; urgency=low

  * Drop build-dependency on python2.6-argparse since python 2.6 doesn't
    exist in Ubuntu anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 09 Aug 2012 19:00:33 +0200

alembic (0.3.4+ds-3) unstable; urgency=low

  * Team upload
  * Build-depend on python2.6-argparse to support python2.6 tests
   (Closes: #680854)
  * Suggest python2.6-argparse as it is needed to run with python2.6, but
    multiple depends require python2.7 to be installed - running with
    python2.6 should be very unusual and pulling in the non-standard argparse
    on all installations for this is not a good thing
  * Fix copy/paste error in debian/changelog from previous upload

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Jul 2012 15:42:34 -0400

alembic (0.3.4+ds-2) unstable; urgency=low

  * Team upload
  * Drop python3-sphinx as an alternate build-depend to python-sphinx to fix
    FTBFS (Closes: #680855
    - The package only has a python version anyway, so python3-sphinx as a
      build-dep is clearly wrong

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Jul 2012 14:51:28 -0400

alembic (0.3.4+ds-1) unstable; urgency=low

  * Initial release. (Closes: #669404)

 -- Matthias Kümmerer <matthias@matthias-k.org>  Wed, 06 Jun 2012 17:29:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

VERSION=0.3.4
PYVERS:=$(shell pyversions -vr)


%:
	dh $@ --with=python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	make -C docs/build html

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/build clean

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; for py in $(PYVERS); do  \
	  python$$py setup.py test ;\
	done
endif

get-orig-source:
	wget http://pypi.python.org/packages/source/a/alembic/alembic-$(VERSION).tar.gz
	tar xvzf alembic-$(VERSION).tar.gz
	rm alembic-$(VERSION).tar.gz
	rm -rf alembic-$(VERSION)/docs/*.html alembic-$(VERSION)/docs/*.js alembic-$(VERSION)/docs/*.inv alembic-$(VERSION)/docs/_sources alembic-$(VERSION)/docs/_images alembic-$(VERSION)/docs/_static
	rm alembic-$(VERSION)/distribute_setup.py
	mv alembic-$(VERSION) alembic-$(VERSION).orig
	tar czfv alembic_$(VERSION)+ds.orig.tar.gz alembic-$(VERSION).orig
	rm -rf alembic-$(VERSION).orig

help2man:
	help2man --version-string=$(VERSION) -n "lightweight database migration tool for usage with the SQLAlchemy" -N alembic > alembic.1
	sed -i "s/,\(\w\)/, \1/g" alembic.1

## alembic 0.8.2

=== docs/build/requirements.txt ===
changelog>=0.3.4
sphinx-paramlinks>=0.2.2
git+https://bitbucket.org/zzzeek/sqlalchemy.git

## alembic 0.4.1+ds

=== debian/changelog ===
alembic (0.4.1+ds-0ubuntu1) raring; urgency=low

  * New upstream release.
  * d/p/fix-tests.patch: Cherry picked commit from upstream VCS to fix
    test compatibility with sqlalchemy < 0.8.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Jan 2013 12:11:41 +0000

=== debian/control ===
Source: alembic
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Matthias Kümmerer <matthias@matthias-k.org>
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/alembic/trunk/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/alembic/trunk/
Standards-Version: 3.9.3
Homepage: http://www.bitbucket.org/zzzeek/alembic
Build-Depends: debhelper (>= 8), python-all, python-setuptools,
 python-nose, python-sqlalchemy, python-mako,
 python-sphinx (>= 1.0.7+dfsg)

Package: alembic
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends},
 python-sqlalchemy, python-mako
Recommends: python-pkg-resources
Description: lightweight database migration tool for SQLAlchemy
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-VERSION=0.3.4
+VERSION=0.4.1
 PYVERS:=$(shell pyversions -vr)

## alembic 0.6.0+ds

=== debian/changelog ===
alembic (0.6.0+ds-0ubuntu1~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 18 Sep 2013 16:21:38 -0700

alembic (0.6.0+ds-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 Sep 2013 14:15:05 -0400

alembic (0.4.2+ds-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Restore changes from 0.4.2+ds-2.1 that were dropped in -3 (closes: #715429).

 -- Julien Cristau <jcristau@debian.org>  Thu, 12 Sep 2013 20:14:35 +0200

alembic (0.4.2+ds-3) unstable; urgency=low

  * Team upload.
  * Rebuliding so that it handles the new version of sqlalchemy.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jul 2013 15:30:56 +0000

alembic (0.4.2+ds-2.1) unstable; urgency=low

  * Non maintainer upload
  * Remove build-dependency and suggestion on python2.6-argparse.
    Closes: #707804.

 -- Matthias Klose <doko@debian.org>  Thu, 16 May 2013 14:38:51 +0200

alembic (0.4.2+ds-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Uploading to SID.
  * Added rm -rf build so that the package can be built twice.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 02:34:02 +0000

alembic (0.4.2+ds-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Uploading to experimental (during Wheezy freeze).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Feb 2013 14:40:33 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Matthias Kümmerer <matthias@matthias-k.org>
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/alembic/trunk/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/alembic/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/alembic/trunk/
 Standards-Version: 3.9.3
 Homepage: http://www.bitbucket.org/zzzeek/alembic
 Build-Depends: debhelper (>= 8), python-all, python-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-VERSION=0.4.1
+VERSION=0.6.0
 PYVERS:=$(shell pyversions -vr)
 
 
@@ -14,6 +14,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	make -C docs/build clean
+	rm -rf build
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)

## alembic 0.6.2+ds

=== debian/changelog ===
alembic (0.6.2+ds-1) unstable; urgency=low

  [ Jackson Doak ]
  * New upstream release (closes: #734021)
  * Incorporate NMU changes
  * debian/control: 
    - Bump standards-version to 3.9.5
    - Add X-Python-Version
  * Add doc-base

  [ Thomas Bechtold ]
  * Team upload.
  * debian/patches: Add 01disable_sphinx_changelog_ext.patch to disable Sphinx
    changelog extension which is currently not packaged for Debian.
  * debian/control: Add python-mock to Build-Depends according to setup.py.
  * debian/rules: Add http_proxy='localhost' to disable internet access during
    documentation build.
  * debian/alembic.1: Updated with help2man target from debian/rules.

 -- Thomas Bechtold <toabctl@debian.org>  Fri, 03 Jan 2014 08:25:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Matthias Kümmerer <matthias@matthias-k.org>
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/alembic/trunk/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/alembic/trunk/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.bitbucket.org/zzzeek/alembic
 Build-Depends: debhelper (>= 8), python-all, python-setuptools,
  python-nose, python-sqlalchemy, python-mako,
- python-sphinx (>= 1.0.7+dfsg)
+ python-sphinx (>= 1.0.7+dfsg), python-mock
+X-Python-Version: >= 2.6
 
 Package: alembic
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-VERSION=0.6.0
+VERSION=0.6.2
 PYVERS:=$(shell pyversions -vr)
 
 
@@ -9,7 +9,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make -C docs/build html
+	http_proxy='localhost' make -C docs/build html
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://pypi.python.org/packages/source/a/alembic/alembic-(.+)\.tar\.gz

## alembic 0.6.5+ds

=== debian/changelog ===
alembic (0.6.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 10:08:57 +0000

alembic (0.6.3+ds-2) unstable; urgency=medium

  * Add python-alembic and python3-alembic binary packages (Closes: 721169),
    alembic binary package now provides /usr/bin/alembic and documentation
  * Use pybuild build system, add dh-python to Build-Depends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 13 Mar 2014 08:47:33 +0100

alembic (0.6.3+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Upldate get-orig-source target in debian/rules, upstream tarball doesn't
    contain distribute_setup.py anymore
  * Add python-changelog and python-sphinx-paramlinks to Build-Depends - used
    while building docs now; drop 01disable_sphinx_changelog_ext patch

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 24 Feb 2014 20:31:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,29 @@
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/alembic/trunk/
 Standards-Version: 3.9.5
 Homepage: http://www.bitbucket.org/zzzeek/alembic
-Build-Depends: debhelper (>= 8), python-all, python-setuptools,
- python-nose, python-sqlalchemy, python-mako,
- python-sphinx (>= 1.0.7+dfsg), python-mock
+Build-Depends: debhelper (>= 8), dh-python,
+ python-all, python-setuptools,
+ python3-all, python3-setuptools,
+# documentation
+ python-sphinx (>= 1.0.7+dfsg), python-changelog, python-sphinx-paramlinks,
+# tests:
+ python-nose, python-sqlalchemy, python-mako, python-mock,
+ python3-nose, python3-sqlalchemy, python3-mako, python3-mock
 X-Python-Version: >= 2.6
 
 Package: alembic
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends},
+Depends: python-alembic, ${misc:Depends}, ${sphinxdoc:Depends}, ${python:Depends}
+Suggests: python3-alembic
+Description: lightweight database migration tool for SQLAlchemy
+ This package provides /usr/bin/alembic script and documentation for Alembic
+
+Package: python-alembic
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends},
  python-sqlalchemy, python-mako
+Breaks: alembic (<< 0.6.3+ds-2) 
+Replaces: alembic (<< 0.6.3+ds-2)
 Recommends: python-pkg-resources
 Description: lightweight database migration tool for SQLAlchemy
  Alembic is a new database migration tool, written by the author
@@ -29,3 +43,20 @@
     series of steps that can "downgrade" similarly, doing the same
     steps in reverse.
   * Allows the scripts to execute in some sequential manner.
+
+Package: python3-alembic
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
+Recommends: python3-pkg-resources
+Description: lightweight database migration tool for SQLAlchemy
+ Alembic is a new database migration tool, written by the author
+ of SQLAlchemy. A migration tool offers the following functionality:
+ .
+  * Can emit ALTER statements to a database in order to change the
+    structure of tables and other constructs
+  * Provides a system whereby "migration scripts" may be constructed;
+    each script indicates a particular series of steps that can
+    "upgrade" a target database to a new version, and optionally a
+    series of steps that can "downgrade" similarly, doing the same
+    steps in reverse.
+  * Allows the scripts to execute in some sequential manner.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=0.6.5
PYVERS:=$(shell pyversions -vr)
export PYBUILD_NAME=alembic

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	http_proxy='localhost' make -C docs/build html

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/build clean
	rm -rf build

override_dh_auto_install:
	dh_auto_install
	mv debian/python-alembic/usr/bin debian/alembic/usr/
	rm -rf debian/python3-alembic/usr/bin/

get-orig-source:
	wget http://pypi.python.org/packages/source/a/alembic/alembic-$(VERSION).tar.gz
	tar xvzf alembic-$(VERSION).tar.gz
	rm alembic-$(VERSION).tar.gz
	rm -rf alembic-$(VERSION)/docs/*.html alembic-$(VERSION)/docs/*.js alembic-$(VERSION)/docs/*.inv alembic-$(VERSION)/docs/_sources alembic-$(VERSION)/docs/_images alembic-$(VERSION)/docs/_static
	mv alembic-$(VERSION) alembic-$(VERSION).orig
	tar czfv alembic_$(VERSION)+ds.orig.tar.gz alembic-$(VERSION).orig
	rm -rf alembic-$(VERSION).orig

help2man:
	help2man --version-string=$(VERSION) -n "lightweight database migration tool for usage with the SQLAlchemy" -N alembic > alembic.1
	sed -i "s/,\(\w\)/, \1/g" alembic.1

## alembic 0.7.2+ds

=== debian/changelog ===
alembic (0.7.2+ds-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 10:16:08 +0000

alembic (0.7.0+ds-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Nov 2014 09:05:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Matthias Kümmerer <matthias@matthias-k.org>
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/alembic/trunk/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/alembic/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-VERSION=0.6.5
+VERSION=0.7.2
 PYVERS:=$(shell pyversions -vr)
 export PYBUILD_NAME=alembic

## alembic 0.7.4

=== debian/changelog ===
alembic (0.7.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2015 00:18:07 +0200

alembic (0.7.4-2) unstable; urgency=medium

  * Uploading to unstable.
  * Dropped version in the python-sphinx build-depends.
  * Moved some Build-Depends to a new Build-Depends-Indep.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 07:04:43 +0000

alembic (0.7.4-1) experimental; urgency=medium

  * New upstream release.
  * Now generating the orig.tar.xz out of a git tag.
  * Taking over the package after the original maintainer wrote by email he
    can't maintain the package anymore. Added Piotr as maintainer as he
    also expressed interest in the package, as he maintains SQLAlchemy.
  * Ran wrap-and-sort as debian/control was really messy.
  * Removed now useless X-Python-Version: >= 2.6.
  * Standards-Version is now 3.9.6.
  * Increased debhelper and compat to 9.
  * Added past maintainers to debian/copyright.
  * Fixed short and long descriptions.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Feb 2015 22:44:22 +0100

=== debian/control ===
Source: alembic
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Piotr Ożarowski <piotr@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-changelog,
               python-setuptools,
               python-sphinx,
               python-sphinx-paramlinks,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-mako,
                     python-mock,
                     python-nose,
                     python-sqlalchemy,
                     python3-mako,
                     python3-mock,
                     python3-nose,
                     python3-sqlalchemy,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/openstack/alembic.git
Vcs-Git: git://anonscm.debian.org/openstack/alemgic.git
Homepage: http://www.bitbucket.org/zzzeek/alembic

Package: alembic
Architecture: all
Depends: python-alembic,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-alembic,
Description: lightweight database migration tool for SQLAlchemy
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.
 .
 This package provides /usr/bin/alembic script and documentation for Alembic,
 and depends on the python-alembic package which contains all the actual code
 (in Python 2) for Alembic to actually work.

Package: python-alembic
Architecture: all
Depends: python-mako,
         python-sqlalchemy,
         ${misc:Depends},
         ${python:Depends},
Breaks: alembic (<< 0.6.3+ds-2),
Replaces: alembic (<< 0.6.3+ds-2),
Recommends: python-pkg-resources,
Description: lightweight database migration tool for SQLAlchemy - Python 2.x
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.
 .
 This package contains the Python 2.x module.

Package: python3-alembic
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-pkg-resources,
Description: lightweight database migration tool for SQLAlchemy - Python 3.x
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT    ?= https://bitbucket.org/zzzeek/alembic.git

DEBVERS         ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
DEBFLAVOR       ?= $(shell dpkg-parsechangelog | grep -E ^Distribution: | cut -d" " -f2)
DEBPKGNAME      ?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
GIT_TAG         ?= $(shell echo '$(VERSION)' | sed -e 's/~/_/')
MANIFEST_EXCLUDE_STANDARD ?= $(DEBPKGNAME)
DEBIAN_BRANCH   ?= $(shell cat debian/gbp.conf | grep debian-branch | cut -d'=' -f2 | awk '{print $1}')

VERSION=0.7.4
PYVERS:=$(shell pyversions -vr)
export PYBUILD_NAME=alembic

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	http_proxy='localhost' make -C docs/build html

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/build clean
	rm -rf build

override_dh_auto_install:
	dh_auto_install
	mv debian/python-alembic/usr/bin debian/alembic/usr/
	rm -rf debian/python3-alembic/usr/bin/

fetch-upstream-remote:
	git remote add upstream $(UPSTREAM_GIT) || true
	git fetch upstream

gen-orig-xz:
	git tag -v $(GIT_TAG) || true
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
		git archive --prefix=$(DEBPKGNAME)-$(VERSION)/ $(GIT_TAG) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
	fi
	[ ! -e ../build-area ] && mkdir ../build-area || true
	[ ! -e ../build-area/$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] && cp ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ../build-area

help2man:
	help2man --version-string=$(VERSION) -n "lightweight database migration tool for usage with the SQLAlchemy" -N alembic > alembic.1
	sed -i "s/,\(\w\)/, \1/g" alembic.1

## alembic 0.8.2

=== debian/changelog ===
alembic (0.8.2-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote runtime dependency on python{3}-editor to Suggests to avoid
      inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patchout hard requirement on python-editor.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Jan 2016 12:10:24 +0000

alembic (0.8.2-3) unstable; urgency=medium

  * Fixed typo in VCS field.
  * Removed Piotr from Uploaders after he asked for that.
  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 21:26:53 +0000

alembic (0.8.2-2ubuntu2) wily; urgency=medium

  * d/p/disable-editor.patch: Patchout hard requirement on python-editor.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Sep 2015 17:33:42 +0100

alembic (0.8.2-2ubuntu1) wily; urgency=medium

  * Resync with Debian unstable.
  * Demote runtime dependency on python{3}-editor to Suggests to avoid
    inclusion in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Sep 2015 09:54:13 +0100

alembic (0.8.2-2) unstable; urgency=medium

  * Added missing dependency on python-editor.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 12:43:20 +0000

alembic (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Removed patch applied upstream:
    - turn-on-the-mssql-legacy_schema_aliasing-flag-to-remove-warnings.patch
  * Switch away from pybuild: I simply don't understand how it works, and
    there's no doc that I know of explaining the behavior.
  * Using update-alternative for switching between python2 and 3 of
    /usr/bin/alembic.
  * Allow alembic to be used with python3-alembic and not just
    python-alembic (ie: Depends: python-alembic | python3-alembic).
  * Added a patch to disable the one and only failing pybuild test.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 18:24:25 +0200

alembic (0.7.6-2) unstable; urgency=medium

  * Added missing python-pytest build-depends (Closes: #796413).
  * Removed build-depends on nose.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Aug 2015 15:18:43 +0000

alembic (0.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Fixed watch file.
  * Added patch to avoid FTBFS, as advised by upstream:
    turn-on-the-mssql-legacy_schema_aliasing-flag-to-remove-warnings.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 21:43:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-           Piotr Ożarowski <piotr@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
+               openstack-pkg-tools,
                python-all,
                python-changelog,
                python-setuptools,
@@ -15,24 +16,23 @@
                python3-setuptools,
 Build-Depends-Indep: python-mako,
                      python-mock,
-                     python-nose,
+                     python-pytest,
                      python-sqlalchemy,
                      python3-mako,
                      python3-mock,
-                     python3-nose,
+                     python3-pytest,
                      python3-sqlalchemy,
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/cgit/openstack/alembic.git
-Vcs-Git: git://anonscm.debian.org/openstack/alemgic.git
+Vcs-Git: git://anonscm.debian.org/openstack/alembic.git
 Homepage: http://www.bitbucket.org/zzzeek/alembic
 
 Package: alembic
 Architecture: all
-Depends: python-alembic,
+Depends: python-alembic | python3-alembic,
          ${misc:Depends},
          ${python:Depends},
          ${sphinxdoc:Depends},
-Suggests: python3-alembic,
 Description: lightweight database migration tool for SQLAlchemy
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
@@ -59,6 +59,7 @@
 Breaks: alembic (<< 0.6.3+ds-2),
 Replaces: alembic (<< 0.6.3+ds-2),
 Recommends: python-pkg-resources,
+Suggests: python-editor
 Description: lightweight database migration tool for SQLAlchemy - Python 2.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
@@ -76,10 +77,13 @@
 
 Package: python3-alembic
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-mako,
+         python3-sqlalchemy,
+         ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
 Recommends: python3-pkg-resources,
+Suggests: python3-editor,
 Description: lightweight database migration tool for SQLAlchemy - Python 3.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT    ?= https://bitbucket.org/zzzeek/alembic.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with=python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	http_proxy='localhost' make -C docs/build html

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/build clean
	rm -rf build

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-alembic; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-alembic; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-alembic/usr/bin/alembic $(CURDIR)/debian/python-alembic/usr/bin/python2-alembic
	mv $(CURDIR)/debian/python3-alembic/usr/bin/alembic $(CURDIR)/debian/python3-alembic/usr/bin/python3-alembic

override_dh_auto_test:
	py.test
	py.test-3

help2man:
	help2man --version-string=$(VERSION) -n "lightweight database migration tool for usage with the SQLAlchemy" -N alembic > alembic.1
	sed -i "s/,\(\w\)/, \1/g" alembic.1

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## alembic 0.8.6

=== debian/changelog ===
alembic (0.8.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Mon, 11 Jul 2016 09:39:47 +0200

alembic (0.8.6-1) unstable; urgency=medium

  * Added myself as uploader
  * New upstream release.
  * Change directory to $ADTTMP before running Debian tests

 -- Ondřej Nový <novy@ondrej.org>  Thu, 21 Apr 2016 22:04:57 +0200

alembic (0.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Added Debian tests.
  * Fixed Vcs URLs (https).
  * d/copyright
    - Fixed for new release
    - Added myself for Debian part
  * Fixed homepage (https).
  * Standards-Version is 3.9.8 now (no change)
  * Added depends to python(3)-pkg-resources (Closes: #821010).

 -- Ondřej Nový <novy@ondrej.org>  Thu, 14 Apr 2016 20:48:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Ondřej Nový <novy@ondrej.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -22,10 +22,10 @@
                      python3-mock,
                      python3-pytest,
                      python3-sqlalchemy,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/openstack/alembic.git
-Vcs-Git: git://anonscm.debian.org/openstack/alembic.git
-Homepage: http://www.bitbucket.org/zzzeek/alembic
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/alembic.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/alembic.git
+Homepage: https://bitbucket.org/zzzeek/alembic
 
 Package: alembic
 Architecture: all
@@ -52,14 +52,14 @@
 
 Package: python-alembic
 Architecture: all
-Depends: python-mako,
+Depends: python-editor,
+         python-mako,
+         python-pkg-resources,
          python-sqlalchemy,
          ${misc:Depends},
          ${python:Depends},
 Breaks: alembic (<< 0.6.3+ds-2),
 Replaces: alembic (<< 0.6.3+ds-2),
-Recommends: python-pkg-resources,
-Suggests: python-editor
 Description: lightweight database migration tool for SQLAlchemy - Python 2.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
@@ -77,13 +77,13 @@
 
 Package: python3-alembic
 Architecture: all
-Depends: python3-mako,
+Depends: python3-editor,
+         python3-mako,
+         python3-pkg-resources,
          python3-sqlalchemy,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
-Recommends: python3-pkg-resources,
-Suggests: python3-editor,
 Description: lightweight database migration tool for SQLAlchemy - Python 3.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:

## alembic 0.8.7

=== debian/changelog ===
alembic (0.8.7-2ubuntu1~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 17 Sep 2016 10:13:38 +0000

alembic (0.8.7-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote runtime dependency on python{3}-editor to Suggests to avoid
      inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patchout hard requirement on python-editor.

 -- James Page <james.page@ubuntu.com>  Sat, 17 Sep 2016 10:20:15 +0100

alembic (0.8.7-2) unstable; urgency=medium

  * Added python{3,}-editor to build depends
  * Bump required version of python{3,}-sqlalchemy to 1.0
  * Use Python 3 version of Sphinx to builds docs
  * Bump required version of openstack-pkg-tools to 52~
  * d/rules
    - Cleanup and use pkgos-dh_auto_install
    - Run tests on all Python versions
  * Removed d/p/disable-failing-test.patch
    (Not needed anymore)

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Aug 2016 22:52:00 +0200

alembic (0.8.7-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote runtime dependency on python{3}-editor to Suggests to avoid
      inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patchout hard requirement on python-editor.

 -- James Page <james.page@ubuntu.com>  Thu, 04 Aug 2016 17:17:10 +0100

alembic (0.8.7-1) unstable; urgency=medium

  * New upstream release
  * d/{control,copyright}: Use my @debian.org email address
  * Rebased d/p/disable-failing-test.patch

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Aug 2016 12:54:29 +0200

alembic (0.8.6-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote runtime dependency on python{3}-editor to Suggests to avoid
      inclusion in Ubuntu main.
    - d/p/disable-editor.patch: Patchout hard requirement on python-editor.

 -- James Page <james.page@ubuntu.com>  Tue, 10 May 2016 14:19:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-           Ondřej Nový <novy@ondrej.org>,
+           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
-               python-changelog,
                python-setuptools,
-               python-sphinx,
-               python-sphinx-paramlinks,
                python3-all,
+               python3-changelog,
                python3-setuptools,
-Build-Depends-Indep: python-mako,
+               python3-sphinx,
+               python3-sphinx-paramlinks,
+Build-Depends-Indep: python-editor,
+                     python-mako,
                      python-mock,
                      python-pytest,
-                     python-sqlalchemy,
+                     python-sqlalchemy (>= 1.0),
+                     python3-editor,
                      python3-mako,
                      python3-mock,
                      python3-pytest,
-                     python3-sqlalchemy,
+                     python3-sqlalchemy (>= 1.0),
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/alembic.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/alembic.git
@@ -52,14 +55,12 @@
 
 Package: python-alembic
 Architecture: all
-Depends: python-editor,
-         python-mako,
-         python-pkg-resources,
-         python-sqlalchemy,
+Depends: python-pkg-resources,
          ${misc:Depends},
          ${python:Depends},
 Breaks: alembic (<< 0.6.3+ds-2),
 Replaces: alembic (<< 0.6.3+ds-2),
+Suggests: python-editor
 Description: lightweight database migration tool for SQLAlchemy - Python 2.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
@@ -77,13 +78,11 @@
 
 Package: python3-alembic
 Architecture: all
-Depends: python3-editor,
-         python3-mako,
-         python3-pkg-resources,
-         python3-sqlalchemy,
+Depends: python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
+Suggests: python3-editor,
 Description: lightweight database migration tool for SQLAlchemy - Python 3.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:

## alembic 0.8.8

=== docs/build/requirements.txt ===
changelog>=0.3.4
sphinx-paramlinks>=0.3.2
git+https://bitbucket.org/zzzeek/sqlalchemy.git

=== debian/changelog ===
alembic (0.8.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use correct branch in package VCS
  * Bumped debhelper version to 10

  [ Thomas Goirand ]
  * debian/source/options: ignores egg-info and .gitreview.

 -- Ondřej Nový <onovy@debian.org>  Mon, 21 Nov 2016 16:42:37 +0100

alembic (0.8.8-1) unstable; urgency=medium

  * New upstream release
  * Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Thu, 22 Sep 2016 20:48:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -26,8 +25,8 @@
                      python3-pytest,
                      python3-sqlalchemy (>= 1.0),
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/alembic.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/alembic.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-alembic
+Vcs-Git: https://git.openstack.org/openstack/deb-alembic -b debian/newton
 Homepage: https://bitbucket.org/zzzeek/alembic
 
 Package: alembic
@@ -60,7 +59,6 @@
          ${python:Depends},
 Breaks: alembic (<< 0.6.3+ds-2),
 Replaces: alembic (<< 0.6.3+ds-2),
-Suggests: python-editor
 Description: lightweight database migration tool for SQLAlchemy - Python 2.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
@@ -82,7 +80,6 @@
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
-Suggests: python3-editor,
 Description: lightweight database migration tool for SQLAlchemy - Python 3.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT ?= https://bitbucket.org/zzzeek/alembic.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with=python2,python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs/build $(CURDIR)/debian/alembic/usr/share/doc/alembic/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in 2.7 ${PYTHON3S}; do \
		python$$pyvers -m pytest ; \
	done
endif

help2man:
	help2man --version-string=$(VERSION) -n "lightweight database migration tool for usage with the SQLAlchemy" -N alembic > alembic.1
	sed -i "s/,\(\w\)/, \1/g" alembic.1

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Depends: python-alembic
Test-Command: cd "$ADTTMP" &&
    python -c "import alembic; print alembic.__version__" &&
    python2-alembic -h >/dev/null

Depends: python3-alembic
Test-Command: cd "$ADTTMP" &&
    python3 -c "import alembic; print(alembic.__version__)" &&
    python3-alembic -h >/dev/null

## alembic 0.8.10

=== docs/build/requirements.txt ===
changelog>=0.3.5
sphinx-paramlinks>=0.3.2
git+https://bitbucket.org/zzzeek/sqlalchemy.git

=== debian/changelog ===
alembic (0.8.10-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 10:19:03 -0500

alembic (0.8.8-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote runtime dependency on python{3}-editor to Suggests to avoid
      including in Ubuntu main.
    - d/p/disable-editor.patch: Patchout hard requirement on python-editor.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Dec 2016 09:17:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: alembic
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 10),
@@ -25,8 +26,8 @@
                      python3-pytest,
                      python3-sqlalchemy (>= 1.0),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-alembic
-Vcs-Git: https://git.openstack.org/openstack/deb-alembic -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/alembic
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/alembic
 Homepage: https://bitbucket.org/zzzeek/alembic
 
 Package: alembic
@@ -59,6 +60,7 @@
          ${python:Depends},
 Breaks: alembic (<< 0.6.3+ds-2),
 Replaces: alembic (<< 0.6.3+ds-2),
+Suggests: python-editor
 Description: lightweight database migration tool for SQLAlchemy - Python 2.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
@@ -80,6 +82,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
+Suggests: python3-editor,
 Description: lightweight database migration tool for SQLAlchemy - Python 3.x
  Alembic is a new database migration tool, written by the author
  of SQLAlchemy. A migration tool offers the following functionality:
